Bug 105894 - RFE: Configuration problems with SiS 7012 lookalike sound chip on an ECS motherboard
RFE: Configuration problems with SiS 7012 lookalike sound chip on an ECS moth...
Product: Fedora
Classification: Fedora
Component: redhat-config-soundcard (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-09-28 23:21 EDT by Steve Rodgers
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-10 13:13:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Rodgers 2003-09-28 23:21:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Redhat-config-soundcard seems to configure and play the test sound, but all apps
which use the sound card do not work. The SiS 7012 knockoff on the ECS K5S7A
motherboard is fixed to a 48khz sample rate which is incompatible with most of
the 44.1 Khz samples used by audio players and the Bluecurve GUI. I was able to
get around this in Redhat 9.0 by installing the Fedora ALSA sound module RPM's,
but they are not available for beta 2. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set up and test sound card configuration on an ECS K5S7A motherboard
2. Try to use an app which uses the sound system


Actual Results:  No sound output from app.

Expected Results:  Sound output would be nice.

Additional info:

It would be nice to see ALSA supported some time in the future.
Comment 1 Brent Fox 2004-02-10 13:13:56 EST
Hmm, I can't really explain this problem.  If you are hearing the test
sound ok in redhat-config-soundcard but not in other applications,
then it sounds like the actual bug is with the apps themselves.

FWIW, Fedora Core 2 will use the 2.6 kernel and will use ALSA instead
of the oss drivers.  This should resolve this problem.  FC2 test 1
will be released later this week.  If you continue to see this problem
with FC2, then please reopen this bug.  

Note You need to log in before you can comment on or make changes to this bug.